Package com.massivecraft.factions.event

## Class FactionRelationWishEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionEvent
    - - com.massivecraft.factions.event.FactionPlayerEvent
      - - com.massivecraft.factions.event.FactionRelationWishEvent

All Implemented Interfaces:
  `org.bukkit.event.Cancellable`

    public class FactionRelationWishEvent
    extends FactionPlayerEvent
    implements org.bukkit.event.Cancellable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Field Summary

### Fields inherited from class com.massivecraft.factions.event.FactionPlayerEvent

`fPlayer`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FactionRelationWishEvent​(FPlayer caller, Faction sender, Faction targetFaction, Relation currentRelation, Relation targetRelation)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Relation` | `getCurrentRelation()` |
`Faction` | `getTargetFaction()` |
`Relation` | `getTargetRelation()` |
`boolean` | `isCancelled()` |
`void` | `setCancelled​(boolean cancelled)` |

### Methods inherited from class com.massivecraft.factions.event.FactionPlayerEvent

`getfPlayer`

### Methods inherited from class com.massivecraft.factions.event.FactionEvent

`getFaction, getHandlerList, getHandlers`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FactionRelationWishEvent

    public FactionRelationWishEvent​(FPlayer caller,
                                    Faction sender,
                                    Faction targetFaction,
                                    Relation currentRelation,
                                    Relation targetRelation)

### Method Detail

#### getTargetFaction

    public Faction getTargetFaction()

#### getCurrentRelation

    public Relation getCurrentRelation()

#### getTargetRelation

    public Relation getTargetRelation()

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled​(boolean cancelled)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`